<?php
/*
UTM tracking and reference code appender
By Josh Cunningham 
Last update: 8/31/2010
http://www.joshcanhelp.com
More information: http://www.joshcanhelp.com/?p=1265
*/

$configFile = 'config.txt';

$fh = fopen( $configFile, 'r') or die ('Cannot find or open config.txt!');	

$configData = fread($fh, filesize($configFile));
	
$configData = explode('"', $configData);
	
$feedName = $configData[1];
	
	// Store common XMHTL header for page display
	$thePage = '	
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
		<head>
			<title>UTM links</title>
			<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
			<style>
				body {font-size: 12px; font-family: "myriad pro", helvetica, arial, sans-serif;}
				h2 {padding: 0 0 0 20px; "times new roman", serif; font-size: 22px;}
				ul {list-style-type: none;}
				li {margin: 0 0 20px; padding: 0 0 0 20px; line-height: 1.4em; }
				span {display: block; font-weight: bold; font-size: 1.2em; margin: 0 0 8px -20px;}
				input {display: block; width: 1000px; margin: 0 0 10px 0; padding: 4px;}
			</style>
		</head>
	<body style="margin: 0pt; padding: 0pt;">';
		
		$thePage .=
		'<h2>UTM coded URLs</h2>
		<ul>';

		// Loads the RSS reader function
		$objDOM = new DOMDocument();
		
		// If the URL to your Google spreadsheet is invalid, the script dies and says why
		@$objDOM->load($feedName) or die("Invalid feed!");
		
		$note = $objDOM->getElementsByTagName("item");
		
		// Master counter to make sure missing cells don't affect future link displays
		$rowCount = 0;
		
		
		// Iterating through the RSS feed to store all possible URLs and current page content
		foreach ($note as $value)
		{	
			// Getting the current cell value from the title of each item
			$cells = $value->getElementsByTagName("title");
			$currCell  = $cells->item(0)->nodeValue;	
			
			// Retrive and store the current row and column 
			// Valid only for A1 through Z9
			$currCol = substr($currCell, 0, 1); 
			$currRow = substr($currCell, 1, 2); 
			
			// Row 1 stores custom reference code information
			if ($currRow == '1')
			{
				if ($currCol == 'F')
				{	
					$data = $value->getElementsByTagName("description");
					$customRef1 = $data->item(0)->nodeValue;
					
				}
				if ($currCol == 'G')
				{	
					$data = $value->getElementsByTagName("description");
					$customRef2 = $data->item(0)->nodeValue;
					
				}
				
				if ($currCol == 'H')
				{	
					$data = $value->getElementsByTagName("description");
					$customRef3 = $data->item(0)->nodeValue;
					
				}
				
				if ($currCol == 'I')
				{	
					$data = $value->getElementsByTagName("description");
					$customRef4 = $data->item(0)->nodeValue;
					
				}
			}
			else
			{
				// If the current column is A, link name needs to be stored
				if ($currCol == 'A')
				{
					$data = $value->getElementsByTagName("description");
					$name  = $data->item(0)->nodeValue;
					
					if ($name == 'Archive' || $name == 'archive')
					{
						break;
					}
					
					$rowCount++;
					
					$linkName[$rowCount] = $name;
					
				}
				// If the current column is B, the reference code needs to be stored
				if ($currCol == 'B')
				{	
					$data = $value->getElementsByTagName("description");
					$url[$rowCount]  = $data->item(0)->nodeValue;

				}
				
				// If the current column is C, the utm_source code needs to be stored
				if ($currCol == 'C')
				{	
					$data = $value->getElementsByTagName("description");
					$utmSource[$rowCount]  = $data->item(0)->nodeValue;
					
				}
				
				// If the current column is D, the utm_medium code needs to be stored
				if ($currCol == 'D')
				{	
					$data = $value->getElementsByTagName("description");
					$utmMedium[$rowCount]  = $data->item(0)->nodeValue;
					
				}
				
				// If the current column is E, the utm_campaign code needs to be stored
				if ($currCol == 'E')
				{	
					$data = $value->getElementsByTagName("description");
					$utmCampaign[$rowCount]  = $data->item(0)->nodeValue;
					
				}
				
				// If the current column is F through I, custom references need to be stored
				if ($currCol == 'F')
				{	
					$data = $value->getElementsByTagName("description");
					$ref1[$rowCount]  = $data->item(0)->nodeValue;
					
				}
				if ($currCol == 'G')
				{	
					$data = $value->getElementsByTagName("description");
					$ref2[$rowCount]  = $data->item(0)->nodeValue;
					
				}
				if ($currCol == 'H')
				{	
					$data = $value->getElementsByTagName("description");
					$ref3[$rowCount]  = $data->item(0)->nodeValue;
					
				}
				if ($currCol == 'I')
				{	
					$data = $value->getElementsByTagName("description");
					$ref4[$rowCount]  = $data->item(0)->nodeValue;
					
				}
			
			}
		
			
				
		} // end of feed iteration

		
		for ($j = 1; $j <= $rowCount; $j++)
		{
			if ($url[$j] != null)
			{
				$fullUrl1 = $url[$j] . '?utm_source='. $utmSource[$j] . '&amp;utm_medium=' . $utmMedium[$j] . '&amp;utm_campaign=' . $utmCampaign[$j];
				$fullUrl2 = $url[$j] . '?utm_source='. $utmSource[$j] . '&amp;amp;utm_medium=' . $utmMedium[$j] . '&amp;amp;utm_campaign=' . $utmCampaign[$j];
				$fullUrl3 = $url[$j] . '?utm_source='. $utmSource[$j] . '&utm_medium=' . $utmMedium[$j] . '&utm_campaign=' . $utmCampaign[$j];
				
				if ($ref1[$j] != 'x')
				{
					$fullUrl1 .= '&amp;' . $customRef1 . '=' . $ref1[$j];
					$fullUrl2 .= '&amp;amp;' . $customRef1 . '=' . $ref1[$j];
					$fullUrl3 .= '&' . $customRef1 . '=' . $ref1[$j];
					
				}
				if ($ref2[$j] != 'x')
				{
					$fullUrl1 .= '&amp;' . $customRef2 . '=' . $ref2[$j];
					$fullUrl2 .= '&amp;amp;' . $customRef2 . '=' . $ref2[$j];
					$fullUrl3 .= '&' . $customRef2 . '=' . $ref2[$j];
					
				}
				if ($ref3[$j] != 'x')
				{
					$fullUrl1 .= '&amp;' . $customRef3 . '=' . $ref3[$j];
					$fullUrl2 .= '&amp;amp;' . $customRef3 . '=' . $ref3[$j];
					$fullUrl3 .= '&' . $customRef3 . '=' . $ref3[$j];
				}
				if ($ref4[$j] != 'x')
				{
					$fullUrl1 .= '&amp;' . $customRef4 . '=' . $ref4[$j];
					$fullUrl2 .= '&amp;amp;' . $customRef4 . '=' . $ref4[$j];
					$fullUrl3 .= '&' . $customRef4 . '=' . $ref4[$j];
					
				}
				
				$thePage .= '
		<li><span>' . $linkName[$j] . ':</span>
		<strong>&raquo; Paste into form field or if in doubt</strong> (<a target="_blank" href="' . $fullUrl1 . '">test it</a> | <a target="_blank" href="http://bit.ly/?url=' . urlencode($fullUrl3) . '">shorten it</a>)
		<input type="text" value="' . $fullUrl1 . '" onClick="highlight(this);"/>
		<strong>&raquo; Paste into code</strong> (<a target="_blank" href="' . $fullUrl2 . '">test it</a>)
		<input type="text" value="' . $fullUrl2 . '" onClick="highlight(this);"/>';
				
			}
		}
		

	$thePage .= '
	</ul>
	
	<script type="text/javascript">
	function highlight(field) {
		   field.focus();
		   field.select();
	}</script>


	</body>
	</html>';

	echo $thePage;

?>