<?php

// Loads the RSS reader function
$objDOM = new DOMDocument();
	
// If the URL to your Google spreadsheet is an invalid DOM object, the script dies and says why
@$objDOM->load($config['feed']) or die("Invalid feed!");
	
$note = $objDOM->getElementsByTagName("item");

// This loop walks the RSS DOM, each cell being an object that is received and processed

foreach ($note as $value) {
	
	// Gets the current cell from RSS node title
	$currCell = $value->getElementsByTagName("title")->item(0)->nodeValue;
	
	$currCol = getColumn($currCell);
	$currRow = getRow($currCell);
	
	// Get headers from the spreadsheet if we're on the first row
	if ( $currRow == '1' ) {
		$headers[$currCol] = $value->getElementsByTagName("description")->item(0)->nodeValue;
		
	//Otherwise, get the tasks by row and store them using the header name	
	} else {
		$name = $headers[$currCol];
		$tasks[$currRow][$name] = $value->getElementsByTagName("description")->item(0)->nodeValue;
		$tasks[$currRow]['Row'] = $currRow;
		
		foreach ($allDisplays as $disp) {
			if ($currDisplay == $disp && $name == $disp) {
				$dispPile .= $tasks[$currRow][$name] . ',';
			}
		}
		
	}
	
}

$sortBy = arrayize($dispPile);

if ($_GET['list'] == 1) {
	
	asort($sortBy);
	
} else {

	$sortedTasks = sortTasks($tasks, $currDisplay, $sortBy);
	ksort($sortedTasks);
	
}

include('template.php');