<?php

// Helper functions for Google Docs task list

// Gets config data from a JSON file and returns an associative array

function getConfig($file) {

	$handle = fopen($file, r); 
	$configJson = fread($handle, filesize($file));
	fclose($handle);
	
	$configArray = json_decode($configJson, TRUE);
	
	return $configArray;
} 

// Gets the current column from the current cell 
function getColumn($cell) {
	$col = $cell[0];
	for ( $i = 1; $i < strlen($cell); $i++ ) {
		if (!ctype_digit($cell[$i])) {
			$col .= $cell[$i];
		}
	}
	return $col;
}

// Gets the current row from the current cell 
function getRow($cell) {
	for ( $i = 1; $i < strlen($cell); $i++ ) {
		if (ctype_digit($cell[$i])) {
			$row .= $cell[$i];
		}
	}
	return $row;
}

// Takes a string of comma separated values and explodes them into a unique array
function arrayize($aPile) {
	
	$pileA = explode(',' , $aPile);
	
	foreach ($pileA as $piece) {
		$piece = trim($piece);
		if ($piece != '') {
			$cleanPile[] = $piece;
		}
	}
	
	return array_unique($cleanPile);
	
}

// Takes an array of tasks and an array of sort terms and organizes the tasks by the sort terms
function sortTasks ($taskArray, $sortBy, $sortArray) {
	
	foreach ($taskArray as $task) {
		
		$haystack = $task[$sortBy];
		
		if (isset($haystack)) {
			
			foreach ($sortArray as $sort) {	
				
				$position = strpos($haystack, $sort);
				
				if (!($position === FALSE)) {
				
					$sorted[$sort][] = $task;
					
				}
				
			}
					
		} else {
		
			$sorted['_none_'][] = $task;
			
		}
			
	}
	
	return $sorted;
	
}