<?php
ini_set('display_errors', 1);
error_reporting(E_ALL);

// Set the file path
$filepath = 'images/';

$errors = array();


if(count($_FILES) != 0) {  

	// For each uploaded file, copy it to the new location
	foreach ($_FILES as $file) :
		move_uploaded_file($file['tmp_name'], $filepath . $file['name']);
	endforeach;

	// Creating paths to each image
	$image1 = $filepath . $_FILES['image1']['name'];
	$image2 = $filepath . $_FILES['image2']['name'];

} else {
	
	$image1 = 'image1.jpg';
	$image2 = 'image2.jpg';
	
}

if(count($_POST) != 0) {  

	// Extracting submitted text fields and validate
	extract($_POST);

} else {
	
	$text1 = 'Get the index of the specified color + alpha or its closest possible alternative Get the index of the specified color + alpha or its closest possible alternative Get the index of the specified color + alpha or its closest possible alternative Get the index of the specified color + alpha or its closest possible alternative Get the index of the specified color + alpha or its closest possible alternative ';
	$text2 = 'Makes the colors of the palette version of an image more closely match the true color version';
		
}

$text1 = wordwrap($text1, 50);
$text2 = wordwrap($text2, 50);

// Do it
jch_combine_it($text1, $image1, $text2, $image2);

if (count($errors)) :
foreach ($errors as $error) :
	echo '<h4>' . $error . '</h4>';
endforeach;
endif;

// Main combination function

function jch_combine_it($text1, $image1, $text2, $image2) {
	
	global $errors, $filepath;
	
	// Check for GD library
	
	if(!function_exists('ImageCreate')) $errors[] = 'GD not installed';
	
	// Setting up a few variables that we use for the final image
	
	$settings = array (
		'font_file_loc' => 'FrancoisOne.ttf',
		'font_size' => 22,
		'line_height' => 44,
		'text_color' => array(
			'r' => 17,
			'g' => 17,
			'b' => 17
		),
		'bg_color' => array(
			'r' => 255,
			'g' => 255,
			'b' => 255
		),
		'gap' => 25,
		'final_width' => 650
	);
	
	// Check font file availability
	if(!is_readable($settings['font_file_loc'])) $errors[] = 'Font file not found';
	
	// Setting up text 
	
	$text1_h = substr_count($text1, "\n") * $settings['line_height'] + $settings['font_size'];
	$text2_h = substr_count($text2, "\n") * $settings['line_height'] + $settings['font_size'];
	
	$text = array(
		'text1' => array(
			'content' => $text1,
			'height' => $text1_h
		),
		'text2' => array(
			'content' => $text2,
			'height' => $text2_h
		)
	);
	
	
	// Creating handles from images passed in, then storing a main array
	
	$image1_h = imagecreatefromjpeg($image1);
	$image2_h = imagecreatefromjpeg($image2);
	
	$images = array(
		'image1' => array(
			'loc' => $image1,
			'handle' => $image1_h,
			'width' => imagesx($image1_h),
			'height' => imagesy($image1_h)
		),
		
		'image2' => array(
			'loc' => $image2,
			'handle' => $image2_h,
			'width' => imagesx($image2_h),
			'height' => imagesy($image2_h)
		)
	
	);
	
	// Load the logo image
	
	$logo = 'evr.png';
	$logo_h = imagecreatefrompng($logo);

	$images['logo'] = array(
		'loc' => $logo,
		'handle' => $logo_h,
		'width' => imagesx($logo_h),
		'height' => imagesy($logo_h)
	);
	
	// Space in between all elements... text, images, logo,  top and bottom edges
	
	$settings['final_height'] = 
		// The gap value set above, need one for the top, one for below each of the text and image elements, and an extra for the middle
		( $settings['gap'] * 7 ) + 
		// Number of newline characters times the line height plus 24 pixels for last line on each
		( $text['text1']['height'] + $text['text2']['height'] ) + 
		$images['image1']['height'] + 
		$images['image2']['height'] + 
		$images['logo']['height'];
	
	// Final image settings
	
	$images['final'] = array(
		'loc' => $filepath . mt_rand(10000, 99990) . '.jpg',
		'handle' => '',
		'width' => $settings['final_width'],
		'height' => $settings['final_height']
	);
	
	$images['final']['handle'] = imagecreatetruecolor($images['final']['width'], $images['final']['height']);
	
	// Flip the BG color to white
	
	$bg_color = imagecolorallocate($images['final']['handle'], 255, 255, 255);
	imagefill($images['final']['handle'], 0, 0, $bg_color);

	
	// Create text color

	$color = imagecolorallocate($images['final']['handle'], $settings['text_color']['r'], $settings['text_color']['g'], $settings['text_color']['b']) ;

	// Build the final image
	
	// Start a running total for the height... much easier to keep track of
	$running_y = $settings['gap'] + $settings['font_size'];
	
	// Text 1
	imagettftext(
		$images['final']['handle'], 
		$settings['font_size'], 0, 
		$settings['gap'], 
		$running_y, 
		$color, 
		$settings['font_file_loc'], 
		$text1
	);
	
	// font_size is used for the first text block because we're looking for the baseline
	// Removing that and adding the total height of the first text block
	$running_y = $running_y - $settings['font_size'] + $text['text1']['height'] + $settings['gap'];
	
	// Image 1
	imagecopy(
		$images['final']['handle'], 
		$images['image1']['handle'], 
		($images['final']['width'] - $images['image1']['width']) / 2, 
		$running_y, 
		0, 
		0, 
		$images['image1']['width'],
		$images['image1']['height']
	);
	
	// Add image1 height, font_size to find baseline and another gap
	$running_y = $running_y + $settings['font_size'] + $images['image1']['height'] + $settings['gap'] + $settings['gap'];
	
	// Text 2
	imagettftext(
		$images['final']['handle'], 
		$settings['font_size'], 0, 
		$settings['gap'], 
		$running_y, 
		$color, 
		$settings['font_file_loc'], 
		$text2
	);
	
	// Remove font_size, add text2 height and another gap
	$running_y = $running_y - $settings['font_size'] + $text['text2']['height'] + $settings['gap'];
	
	// Image 2
	imagecopy(
		$images['final']['handle'], 
		$images['image2']['handle'], 
		($images['final']['width'] - $images['image2']['width']) / 2, 
		$running_y, 
		0, 
		0, 
		$images['image2']['width'],
		$images['image2']['height']
	);
	
	// Add image2 height and another gap
	$running_y = $running_y + $images['image2']['height'] + $settings['gap'];
	
	// Logo 
	imagecopy(
		$images['final']['handle'], 
		$images['logo']['handle'], 
		($images['final']['width'] - $images['logo']['width']) / 2, 
		$running_y, 
		0, 
		0, 
		$images['logo']['width'],
		$images['logo']['height']
	);
	
	imagejpeg($images['final']['handle'], $filepath . 'evr_test_' . mt_rand(10000, 99999) . '.jpg');
	
	foreach ($images as $img) :
		imagedestroy($img['handle']);
	endforeach;
	
	
	
	echo '<pre>';print_r($images);echo '</pre>';
	echo '<pre>';print_r($text);echo '</pre>';
	echo '<pre>';print_r($settings);echo '</pre>';

}
